Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.servlets.jsp.taglib
Class ContentQueryExtraInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagExtraInfo
            |
            +--com.bea.p13n.servlets.jsp.taglib.ContentQueryExtraInfo

public class ContentQueryExtraInfo
extends TagExtraInfo

The tag extra info the ContentQueryTag.

This will specify a script variable named from the id attribute of type com.bea.content.Node[].

Field Summary
`static String` | `NODE_CLASS_NAME`

Constructor Summary
`ContentQueryExtraInfo()`

Method Summary
`VariableInfo[]` | `getVariableInfo(TagData data)` Returns the required variable information for the ContentQuery tag.
`boolean` | `isValid(TagData data)`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, setTagInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NODE_CLASS_NAME

    public static final String NODE_CLASS_NAME

Constructor Detail

### ContentQueryExtraInfo

    public ContentQueryExtraInfo()

Method Detail

### getVariableInfo

    public VariableInfo[] getVariableInfo(TagData data)

  Returns the required variable information for the ContentQuery tag. Required for the id tag attribute

  Overrides:
    `getVariableInfo` in class `TagExtraInfo`
  Parameters:
    `data` - The TagData object that includes the id variable.
  Returns:
    A array of information for the VariableInfo.

### isValid

    public boolean isValid(TagData data)

  Overrides:
    `isValid` in class `TagExtraInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved